View Issue Details

IDProjectCategoryView StatusLast Update
16598Bug reportsStatisticspublic2020-09-21 14:56
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.22.8 
Summary16598: Statistics: Criteria not cleared for text question results
Description

Stats: After a first run where a filter is applied to a text questions, if clearing the filter criteria y run the report again, the list of values for text questions are not shown according to the new criteria

Steps To Reproduce

Run stats filtering by a text question
Display list of answers for that question
Clear filter
Run again
Display list of answers for that question --> It will show the list of values previously shown (with filter previous applied)

Additional Information

This is most probably also an issue at LS 4

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.17.3+190429
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
BrowserChrome
Database & DB-VersionMySQL 5
Server OS (if known)?
Webserver software & version (if known)
PHP Version7.x

Relationships

related to 15980 closedgabrieljenik No results shown for selected date questions at statistics 
related to 16637 closedgabrieljenik Statistics: Criteria not cleared for text question results 

Activities

gabrieljenik

gabrieljenik

2020-09-02 21:31

developer   ~59693

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1573

gabrieljenik

gabrieljenik

2020-09-18 11:14

developer   ~59871

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30471

lime_release_bot

lime_release_bot

2020-09-21 14:56

administrator   ~59904

Fixed in Release 3.23.4+200922

Related Changesets

LimeSurvey: 3.x-LTS 83e0ef32

2020-09-02 21:13:11

gabrieljenik

Details Diff
Fixed issue 16598--Statistics--Criteria-not-cleared-for-text-question-results

Clearing criteia on session if no filter set
Affected Issues
16598
mod - application/helpers/admin/statistics_helper.php Diff File

LimeSurvey: 3.x-LTS c829e84a

2020-09-18 11:14:31

ollehar1


Committer: GitHub Details Diff
Fixed issue 16598--Statistics--Criteria-not-cleared-for-text-question-results

Dev: Merge pull request #1573 from gabrieljenik/bug/16598--Statistics--Criteria-not-cleared-for-text-question-results
Affected Issues
16598
mod - application/helpers/admin/statistics_helper.php Diff File

Issue History

Date Modified Username Field Change
2020-08-17 17:26 gabrieljenik New Issue
2020-08-17 17:26 gabrieljenik Status new => assigned
2020-08-17 17:26 gabrieljenik Assigned To => cdorin
2020-08-17 17:26 gabrieljenik Issue generated from: 15980
2020-08-17 17:26 gabrieljenik Relationship added related to 15980
2020-08-18 12:43 user225042 Zoho Sprints => |Yes|
2020-08-18 12:43 swendrich Zoho Sprints ID => 14469000000221001
2020-08-26 15:06 cdorin Priority none => normal
2020-08-26 15:06 cdorin Status assigned => confirmed
2020-08-26 15:06 cdorin Zoho Sprints Yes => |Yes|
2020-08-26 15:07 cdorin Assigned To cdorin => gabrieljenik
2020-08-26 15:07 cdorin Zoho Sprints Yes => |Yes|
2020-09-02 21:14 gabrieljenik Issue cloned: 16637
2020-09-02 21:14 gabrieljenik Relationship added related to 16637
2020-09-02 21:31 gabrieljenik Note Added: 59693
2020-09-18 11:14 ollehar1 Changeset attached => LimeSurvey 3.x-LTS c829e84a
2020-09-18 11:14 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 83e0ef32
2020-09-18 11:14 gabrieljenik Note Added: 59871
2020-09-18 11:14 gabrieljenik Resolution open => fixed
2020-09-21 14:56 lime_release_bot Zoho Sprints Yes => |Yes|
2020-09-21 14:56 lime_release_bot Note Added: 59904
2020-09-21 14:56 lime_release_bot Status confirmed => closed